Subject: Re: [PATCH] Fix a warning (on cygwin) to allow -Werror

From: Johannes Sixt <[email-masked]>
Date: Wed, 27 Aug 2008 09:57:36 +0200

Ramsay Jones schrieb:
> Also, I noticed that git_ntohl() is still defined in compat/mingw.h; is this
> still required?  It's not a problem, just curious! (I don't have mingw
> installed, so I can't test myself)

Yes, it's still needed. The reason is that on Windows ntohl() returns
'unsigned long', and then gcc warns about

sha1_file.c:700: warning: unsigned int format, u_long arg (arg 3)

git_ntohl() is the workaround.

-- Hannes